ReadProbStruct <- function (pathfile, s.tag=NULL, e.tag=NULL)
{
  lst <- list()
  
  con <- file(pathfile, open="r")
  on.exit(close(con))
  
  n  <- 0
  p  <- 0
  lst.nd.n    <- list()
  lst.nd.n.pa <- list()
  lst.pa      <- list()
  line        <- readLines(con, n=1)
  
  # read until the s.tag
  if (!is.null(s.tag) && !is.null(e.tag))
  {
    while(length(line)!=0 && line!=s.tag)
    {
      line <- readLines(con, n=1)
    }
    line <- readLines(con, n=1)
  }
  else
  {
    e.tag <- ""
  }
 
  # read file until the end or e.tag
  while(length(line)!=0 && line!=e.tag)
  { 
    # new node$parents
    if (grepl("\\$",line))
    {
      ln  <- strsplit(line, "\\$")
      nd  <- ln[[1]][1]
      pa  <- ln[[1]][2]
      m   <- match(nd,lst.nd.n)
      # new node
      if (is.na(m))
      {
        n  <- n + 1
        m  <- n
        p  <- 0
        lst.nd.n[[n]]    <- nd
        lst.nd.n.pa[[m]] <- list()
        lst     [[n]]    <- list()
      }
      p <- p + 1
      lst.nd.n.pa[[m]][[p]] <- pa
    }
    else
    # dataframe
    {
      # columns
      col <- strsplit(line, ",")
      col <- col[[1]]
      typ <- tolower(col[1])
      col <- col[2:length(col)]
      rln <- col
      nrw <- length(col)
      if (typ=="vec")
      {
        nrw <- 1
        rln <- c("0")
      }
      # data
      dt <- list()
      for (r in 1:nrw)
      {
        line    <- readLines(con, n=1)
        line    <- strsplit(line, ",")
        line    <- line[[1]]
        dt[[r]] <- line[2:length(line)]
      }
      mt <- matrix(unlist(dt),nrow=nrw)
      mt <- matrix(as.numeric(t(mt)),nrow=nrw)
      df <- data.frame(mt,row.names=rln)
      names(df)     <- col
      lst[[m]][[p]] <- df
    }

    line <- readLines(con, n=1)
  }
  
  # naming
  names(lst) <- lst.nd.n
  for (r in 1:length(lst))
  {
    names(lst[[r]]) <- lst.nd.n.pa[[r]]
  }
  
  return(lst)
}