\name{LoadRCtbn}
\alias{LoadRCtbn}

\title{
LoadRCtbn
}

\description{
Load a new CTBN object saved in a rctbn format file.
}

\usage{
LoadRCtbn (pathfile)
}

\arguments{
\item{pathfile}{character. File to be read.}
}

\value{
External pointer to the CTBN C++ model.
\code{NULL} in the case of errors.
}

\note{
You own the external pointer, so remember to delete it using the \code{\link{DeleteCtbn}} function only.
}

\seealso{
 \code{\link{DeleteCtbn}}, \code{\link{SaveRCtbn}}.
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)

# delete ctbn
xpCtbn    <- DeleteCtbn(xpCtbn)
garbage   <- gc()
}

\keyword{ load R ctbn model }
