\name{SetBnCPTs}
\alias{SetBnCPTs}

\title{
SetBnCPTs
}

\description{
Set the definition of the initial Bayesian network (conditional probability tables) of the CTBN object.
}

\usage{
SetBnCPTs (xpCtbn, bn.cpts)
}

\arguments{
  \item{xpCtbn}{external pointer to the CTBN C++ model.}
  \item{bn.cpts}{list. List (I) of lists (II) of dataframes (III), in which the I level contains the nodes Xn, the second level contains the parents of Xn (Xn|U), and the III level contains the values of Xn given a particular instantiation of its parents (Xn|u) specified as a dataframe. This dataframe is 1 x m, where m is number of values that Xn can assume (specified in the column header that must be from 0 to value-1), and the row contains the respective probabilities (that must sum up to 1). The names contained in the I level list must be Xn and the names of the II level list must be in the form Xn$U=u.}
}

\value{
\code{0} if it is set correctly, \code{NULL} in the case of errors.
}

\seealso{
 \code{\link{SetBnCPTs}}, \code{\link{ReadProbStruct}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)
bn.cpts   <- GetBnCPTs(xpCtbn)

SetBnCPTs(xpCtbn, bn.cpts)

# delete ctbn
xpCtbn    <- DeleteCtbn(xpCtbn)
garbage   <- gc()
}

\keyword{ set static definition }
