\name{SetBnStruct}
\alias{SetBnStruct}

\title{
SetBnStruct
}

\description{
Set the structure of the initial Bayesian network of the CTBN object.
}

\usage{
SetBnStruct (xpCtbn, bn.str)
}

\arguments{

\item{xpCtbn}{external pointer to the CTBN C++ model.}

\item{bn.str}{dataframe k x 2. It is used to define the structure of the initial Bayesian network (specified as a directed acyclic graph). Each row consists of the name of the parent of Xn (from) and the name of Xn (to). Both names must be contained in the variables definition of the CTBN model (case sensitive).}
}

\value{
\code{0} if it is set correctly, \code{NULL} in the case of errors.
}

\seealso{
 \code{\link{GetBnStruct}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)
bn.str    <- GetBnStruct(xpCtbn)

SetBnStruct(xpCtbn, bn.str)

# delete ctbn
xpCtbn    <- DeleteCtbn(xpCtbn)
garbage   <- gc()
}

\keyword{ set static structure }
