\name{SetDynStruct}
\alias{SetDynStruct}

\title{
SetDynStruct
}

\description{
Set the structure of the dynamic component of the CTBN object.
}

\usage{
SetDynStruct (xpCtbn, dyn.str)
}

\arguments{

  \item{xpCtbn}{external pointer to the CTBN C++ model.}
  
  \item{dyn.str}{dataframe k x 2. It is used to define the structure of the dynamic structure (possibly cycle). Each row consists of the name of the parent of Xn (from) and the name of Xn (to). Both names must be contained in the variables definition of the CTBN model (case sensitive).}
}

\value{
\code{0} if it is set correctly, \code{NULL} in the case of errors.
}

\seealso{
 \code{\link{GetDynStruct}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)
dyn.str   <- GetDynStruct(xpCtbn)

SetDynStruct(xpCtbn, dyn.str)

# delete ctbn
xpCtbn    <- DeleteCtbn(xpCtbn)
garbage   <- gc()
}

\keyword{ set dynamic structure }
